## org.omg.CONV_FRAME
Class CodeSetComponentHelper

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetComponentHelper

public class CodeSetComponentHelper
extends java.lang.Object

Helper class for : CodeSetComponent

Author:
  OpenORB Compiler

Constructor Summary
`CodeSetComponentHelper()`

Method Summary
`static CodeSetComponent` `extract(Any a)` Extract CodeSetComponent from an any
`static java.lang.String` `id()` Return the CodeSetComponent IDL ID
`static void` `insert(Any a, CodeSetComponent t)` Insert CodeSetComponent into an any
`static CodeSetComponent` `read(InputStream istream)` Read CodeSetComponent from a marshalled stream
`static TypeCode` `type()` Return the CodeSetComponent TypeCode
`static void` `write(OutputStream ostream, CodeSetComponent value)` Write CodeSetComponent into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeSetComponentHelper

    public CodeSetComponentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CodeSetComponent t)

  Insert CodeSetComponent into an any
  Parameters:
    `a` - an any
    `t` - CodeSetComponent value

### extract

    public static CodeSetComponent extract(Any a)

  Extract CodeSetComponent from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CodeSetComponent value

### type

    public static TypeCode type()

  Return the CodeSetComponent TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CodeSetComponent IDL ID
  Returns:
    an ID

### read

    public static CodeSetComponent read(InputStream istream)

  Read CodeSetComponent from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CodeSetComponent value

### write

    public static void write(OutputStream ostream,
                             CodeSetComponent value)

  Write CodeSetComponent into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CodeSetComponent value